/***************************************************************************
                          configwidget.h  -  description
                             -------------------
    copyright            : (C) 2003 by Willy De la Court
    email                : willy.delacourt@pandora.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2 as     *
 *   published by the Free Software Foundation                             *
 *                                                                         *
 ***************************************************************************/

#ifndef _CONFIGWIDGET_H_
#define _CONFIGWIDGET_H_

#include <qwidget.h>
#include <qlabel.h>

class ConfigWidget : public QWidget
{
	Q_OBJECT

public:
	ConfigWidget( QWidget *parent = 0, const char *name = 0 ) : QWidget(parent, name) {};
	~ConfigWidget() {};
	void setDescription(QLabel *widget);

	QString description;

public slots:
	void configChanged();

signals:
	void changed( bool state );

};

#endif
