/***************************************************************************
                          leaseparser.h  -  description
                             -------------------
    copyright            : (C) 2003 by Willy De la Court
    email                : willy.delacourt@pandora.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2 as     *
 *   published by the Free Software Foundation                             *
 *                                                                         *
 ***************************************************************************/

#ifndef _LEASEPARSER_
#define _LEASEPARSER_

#include <qstring.h>
#include <qlist.h>
#include <qlistview.h>
#include <kio/netaccess.h>
#include "dataclasses.h"
#include "mlistviewitem.h"

class LeaseParser
{
public:
	LeaseParser(QString fileName, MListViewItem *serverItem);
	~LeaseParser();
	bool Parse();

	void addLease(leaseItem *lease);
	QString generate();
	void addSyntaxError(int lineno);
	QList<int> syntaxErrors;
	QString configData;

private:
	QString thisFileName;
	QString tmpFileName;
	MListViewItem *thisServerItem;
	QList<leaseItem> leases;
};

#endif
